Bug 441278

Summary: only services for a vital system should have a default runlevel list in their initscript
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: cobblerAssignee: Michael DeHaan <mdehaan>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-25 14:50:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Karsten Hopp 2008-04-07 10:09:48 EDT
FPC and FESCo recently approved packaging guidelines for initscripts http://fedoraproject.org/wiki/Packaging/SysVInitScript . According to those guidelines only services which are really required for a vital system should define runlevels as the first parameter on the '# chkconfig: #' line in the initscript. Please consider changing the initscripts in this package.
Comment 1 Bug Zapper 2008-05-14 05:03:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael DeHaan 2009-02-25 14:50:44 EST
Sorry for losing this in the bugzilla/mail queue.  

Cobblerd is required for cobbler operation, I would consider it vital unless provided with a specific definition of vital.